# ///////////////// d2m : Dublin Core to MARC converter /////////////////////
#
#
# Modified for Greenstone kjdon May 2005.
# Used by z3950server

CC = @CC@
AR = ar
RANLIB = @RANLIB@

o = .@U@o

# This may have to uncomment this on solaris ???
# LIBS = -lsocket -lnsl

LIB_OBJS = MARC2709.o MARCtidy.o MARCmake.o usMARC.o danMARC.o finMARC.o norMARC.o sweMARC.o uniMARC.o isMARC.o util.o

all: libd2m.a

libd2m.a: $(LIB_OBJS)
	rm -f libd2m.a
	$(AR) cru libd2m.a $(LIB_OBJS)
	$(RANLIB) libd2m.a


MARCtidy.o: MARCtidy.c d2m.h
	$(CC) -c MARCtidy.c

MARCmake.o: MARCmake.c d2m.h
	$(CC) -c MARCmake.c

MARC2709.o: MARC2709.c d2m.h
	$(CC) -c MARC2709.c

util.o: util.c d2m.h
	$(CC) -c util.c 

danMARC.o: danMARC.c d2m.h
	$(CC) -c danMARC.c

finMARC.o: finMARC.c d2m.h
	$(CC) -c finMARC.c

norMARC.o: norMARC.c d2m.h
	$(CC) -c norMARC.c

sweMARC.o: sweMARC.c d2m.h
	$(CC) -c sweMARC.c

usMARC.o: usMARC.c d2m.h
	$(CC) -c usMARC.c

isMARC.o: isMARC.c d2m.h
	$(CC) -c isMARC.c

uniMARC.o: uniMARC.c d2m.h
	$(CC) -c uniMARC.c

install:

clean:
	rm -f *.o libd2m.a

distclean: clean
	rm -f Makefile config.h

